#include <bits/stdc++.h>

using namespace std;


int main()
{
    cout << fixed;
    cout << setprecision(4);
    int n;
    cin >> n;
    pair<double,int> a[n];
    double u,m;
    u=0;
    for(int i=0; i<n; i++)
{
    cin >> a[i].second >> a[i].first;
}
        sort(a,a+n);
    for(int i=0; i<n; i++)
    {
        u+=a[0].first*a[i].second/100;
    }
    m=u;
    for (int i=1; i<n; i++)
    {
        m=m-a[i-1].first*a[i-1].second/100;
        m=m/a[i-1].first*a[i].first;
        if (u<m) u=m;
    }
    cout << u;
    return 0;
}